import pytest

from frostfs_sdk import FrostfsClient, ContainerCreateParam, ContainerId
from frostfs_sdk.client.parameters.call_context_param import CallContextParam, TimeUnit
from tests.helpers.models import Helpers


@pytest.mark.container
class TestContainer:
    def test_create_container(self, default_frostfs_client: FrostfsClient, helpers: Helpers):
        call_context = CallContextParam(timeout=1, time_unit=TimeUnit.MINUTES)
        req_body: ContainerCreateParam = helpers.container.create_params_container_create()
        
        cid: ContainerId = default_frostfs_client.container.create_container(req_body, call_context)
        print(cid.value)
